Bug 492511 - [nouveau] fails to start with 1411: No valid modes
[nouveau] fails to start with 1411: No valid modes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 01:24 EDT by Mark D
Modified: 2009-10-17 14:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-15 20:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (13.40 KB, text/plain)
2009-03-27 01:24 EDT, Mark D
no flags Details

  None (edit)
Description Mark D 2009-03-27 01:24:28 EDT
Created attachment 336951 [details]
Xorg.0.log

Description of problem:
X fails to start with nouveau enabled.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Insert x86_64 live cd from https://fedoraproject.org/wiki/QA/Test_Days/2009-03-26
2. Wait for linux to boot, watch progress bar reach 100%
3. System does not load, screen stays black. Must switch to terminal to login and view logs
  
Actual results:
No Xorg


Expected results:
Xorg to load


Additional info:
Hardware works fine with nvidia driver.
Comment 1 Adam Williamson 2009-03-27 17:32:32 EDT
Info from test day wiki:

GeForce 7600 GS [10de:02e1] (rev a2) 
http://www.smolts.org/client/show/pub_7f150c25-6c62-417e-96ea-8cd88d87b5f7

reporter, what monitor(s) do you have connected to the system, connected via which output(s)? The log indicates the driver can't find any connected display. thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Mark D 2009-03-28 16:03:30 EDT
I'm using an Apple 23" Cinema Display using the DVI output.

I used the test day live cd to try to run nouveau, but I have gentoo installed on the same hardware (that I use everyday), using x11-drivers/nvidia-drivers-180.29 running at 1920x1200 resolution. HorizSync: 28-96, & VertRefresh: 43-60

To get the same hardware working with the nv driver, I have to add the following to my xorg.conf Monitor section:
 Modeline	    "1920x1200" 155.0 1920 1984 2016 2144 1200 1203 1206 1212 -HSync +Vsync
Comment 3 Adam Williamson 2009-03-30 15:43:52 EDT
Thanks, I think that should be enough info - Ben will ask if there's more that he needs.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Ben Skeggs 2009-04-03 01:47:24 EDT
Are you able to install the NVIDIA binary driver and get a trace of how it initialises your card and email it to mmio.dumps@gmail.com?  A quick howto:

mount -t debugfs debugfs /sys/kernel/debug
echo 4096 > /sys/kernel/debug/tracing/buffer_size_kb
echo mmiotrace > /sys/kernel/debug/tracing/current_tracer
modprobe nvidia
cat /sys/kernel/debug/tracing/trace_pipe > ~/nvidia.kmmio
startx

There's a bit more information at http://nouveau.freedesktop.org/wiki/MmioTrace also.

Thanks,
Ben.
Comment 5 Mark D 2009-04-04 20:26:34 EDT
My system didn't have /sys/kernel/debug/tracing/buffer_size_kb so I skipped that step (let me know if that's imperative).

Another concern is that /var/log/messages said:
Apr  4 17:00:55 zeus mmiotrace has lost events.

mmiotrace mailed.
Comment 6 Ben Skeggs 2009-04-07 06:12:44 EDT
Hey, thanks for posting the dumps.  Stuart Bennett (malc0 on irc) has some patches he think may help, I've packaged them at: http://koji.fedoraproject.org/scratch/bskeggs/task_1282023/

Can you give this a shot and report what you see?  Thanks.
Comment 7 Mark D 2009-04-11 02:22:34 EDT
Tested and same result as before, X does not initialize with no valid modes.

Xorg.0.log: http://pastebin.ca/1388658
Comment 8 Bug Zapper 2009-06-09 08:43:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Mark D 2009-10-15 20:24:15 EDT
Tested with rawhide on Oct 13, 2009, and this bug was no longer present. Closing.
Comment 10 Adam Williamson 2009-10-16 15:50:22 EDT
is it still present in current F11?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Mark D 2009-10-17 14:01:32 EDT
I just tested and this error is not present in Fedora 11.
Comment 12 Adam Williamson 2009-10-17 14:15:34 EDT
great, thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.